#!/bin/bash
cd prolog
mkdir -p testresults
rm -f testresults/*.xml
echo "<testsuite><testcase name=\"Hudson configuration\" classname=\"Configuration.Hudson\" time=\"0\"></testcase></testsuite>" > testresults/hudson.xml

export PROB_JUNIT_DIR="testresults"
export PROB_JUNIT=" -junit $PROB_JUNIT_DIR"

# set parallel to a default value
if [ -z "$PARALLEL" ]
then
   PARALLEL=1
fi

sicstus -l src/test_runner.pl --goal "generate_makefile_all_tests, halt."

# sanity checking test cases: multiple ids, missing output files, etc.
make sanity_check && make -f Makefile_All_Tests -j $PARALLEL -k
