user:library_directory('.').

:- use_module(user_signal).

loop :- loop.

go :-
    prolog_flag(argv,ArgV),
    ( ArgV = [PidFile,ResultFile] ->
        test(PidFile,ResultFile)
    ; otherwise ->
        write(user_error,'Usage: ptest PidFile ResultFile')).

test(PidFile,ResultFile) :-
    get_user_signal_ref(Ref),
    tell(PidFile),write(Ref),nl,flush_output,told,
    user_interruptable_call_det(loop, _),
    tell(ResultFile),write(ok),nl,flush_output,told.

user:runtime_entry(start) :- user:go.
