//
//  loop_fairness.h
//  
//
//  Created by Ivaylo Dobrikov on 24/09/14.
//
//

#ifndef ____loop_fairness__
#define ____loop_fairness__

#include <stdio.h>
#include "ltlc.h"
#include "ltlarray.h"
#include "tarjan.h"
#include "fairness.h"
#include "fairness_prolog_callback_functions.h"
#include "fairness_utilities.h"

int is_fair_loop(ltl_formula *f, ltlarray *bf_items, unsigned int solution, int size);
ltlatom **save_loop(ltlarray *bf_items, unsigned int solution, int size);
SP_term_ref create_loop_nodes_list(ltlarray *bf_items, unsigned int solution, int size);
#endif /* defined(____loop_fairness__) */
